%define upstream_name    Hash-Util-FieldHash-Compat
%define upstream_version 0.11

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Emulate Hash::Util::FieldHash using
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Hash/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta::Requirements) >= 2.120.620
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(Tie::RefHash) >= 1.380.0
BuildRequires: perl(Tie::RefHash::Weak) >= 0.80.0
BuildRequires: perl(constant)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Under older perls this module provides a drop in compatible api to the
Hash::Util::FieldHash manpage using the perltie manpage. When the
Hash::Util::FieldHash manpage is available it will use that instead.

This way code requiring field hashes can benefit from fast, robust field
hashes on Perl 5.10 and newer, but still run on older perls that don't ship
with that module.

See the Hash::Util::FieldHash manpage for all the details of the API.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.110.0-3.mga8
+ Revision: 1504746
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.110.0-2.mga7
+ Revision: 1284286
- Mageia 7 Mass Rebuild

* Mon Jul 31 2017 sander85 <sander85> 0.110.0-1.mga7
+ Revision: 1133248
- update to 0.11

* Sun Jun 19 2016 pterjan <pterjan> 0.100.0-3.mga6
+ Revision: 1028205
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.100.0-2.mga6
+ Revision: 970008
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 0.100.0-1.mga6
+ Revision: 884627
- update to 0.10

* Sun Aug 23 2015 sander85 <sander85> 0.90.0-1.mga6
+ Revision: 868457
- update to 0.09

* Wed Oct 15 2014 umeabot <umeabot> 0.80.0-3.mga5
+ Revision: 742244
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.80.0-2.mga5
+ Revision: 685035
- Mageia 5 Mass Rebuild

* Fri Jul 18 2014 sander85 <sander85> 0.80.0-1.mga5
+ Revision: 653587
- update to 0.08

* Tue Mar 25 2014 jquelin <jquelin> 0.70.0-1.mga5
+ Revision: 608343
- update to 0.07

* Mon Feb 24 2014 jquelin <jquelin> 0.50.0-1.mga5
+ Revision: 596261
- update to 0.05

* Mon Feb 10 2014 jquelin <jquelin> 0.40.0-1.mga5
+ Revision: 588412
- update to 0.04

* Fri Oct 18 2013 umeabot <umeabot> 0.30.0-4.mga4
+ Revision: 512197
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-3.mga3
+ Revision: 368422
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.30.0-2.mga1
+ Revision: 29381
- rebuild

* Sun Jan 09 2011 jquelin <jquelin> 0.30.0-1.mga1
+ Revision: 3194
- imported package perl-Hash-Util-FieldHash-Compat

